osl::Centering5x3 Struct Reference

5x3が盤上におさまるように中心を調整 More...

`#include <centering5x3.h>`

## Classes

struct | Table

## Static Public Member Functions

static const Square | adjustCenterNaive (Square)
static const Square | adjustCenter (Square src)

## Static Public Attributes

static const Table | table

## Detailed Description

5x3が盤上におさまるように中心を調整

Definition at line 14 of file centering5x3.h.

## Member Function Documentation

## adjustCenter()

const Square osl::Centering5x3::adjustCenter | ( | Square | src | ) |

inline static

Definition at line 23 of file centering5x3.h.

References osl::Square::index(), and table.

Referenced by osl::container::BoardMaskTable5x3Center::BoardMaskTable5x3Center(), osl::progress::Effect5x3WithBonus::makeEffectMask(), osl::progress::Effect5x3d::makeProgress(), osl::progress::Effect5x3::makeProgressArea(), osl::progress::Effect5x3WithBonus::makeProgressAreaBonus(), osl::progress::ml::NewProgress::progressOne(), osl::progress::ml::NewProgress::setUp(), osl::progress::Effect5x3Table::setupAttackEffect(), and osl::progress::Effect5x3Table::setupDefenseEffect().

## adjustCenterNaive()

const osl::Square osl::Centering5x3::adjustCenterNaive | ( | Square | src | ) |

static

Definition at line 40 of file centering5x3.cc.

References osl::Square::x(), and osl::Square::y().

Referenced by osl::Centering5x3::Table::Table().

## Member Data Documentation

## table

const Centering5x3::Table osl::Centering5x3::table

static

Definition at line 22 of file centering5x3.h.

Referenced by adjustCenter().

The documentation for this struct was generated from the following files:

- centering5x3.h
- centering5x3.cc
- tables.cc